package com.ss.android.ugc.aweme.appcompat;

import X.M12;
import android.os.Bundle;
import android.view.View;
import androidx.fragment.app.Fragment;
import com.bytedance.covode.number.Covode;
import java.util.HashMap;

public class AmeBaseFragmentAdaptationFragment extends Fragment {
    public boolean LIZ;
    public HashMap LIZIZ;

    static {
        Covode.recordClassIndex(53446);
    }

    public void LIZ() {
        HashMap hashMap = this.LIZIZ;
        if (hashMap != null) {
            hashMap.clear();
        }
    }

    public void onDestroy() {
        AmeBaseFragmentAdaptationFragment.super.onDestroy();
        this.LIZ = false;
    }

    public void onDestroyView() {
        AmeBaseFragmentAdaptationFragment.super.onDestroyView();
        this.LIZ = false;
        LIZ();
    }

    public void onCreate(Bundle bundle) {
        AmeBaseFragmentAdaptationFragment.super.onCreate(bundle);
        this.LIZ = false;
    }

    public void onViewCreated(View view, Bundle bundle) {
        M12.LIZ(view);
        AmeBaseFragmentAdaptationFragment.super.onViewCreated(view, bundle);
        this.LIZ = true;
    }
}
